Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.request
Class Request

    java.lang.Object
      weblogic.uddi.client.structures.request.Request

Direct Known Subclasses:
  FindRequest, GetAuthToken, GetBindingDetail, GetBusinessDetail, GetServiceDetail, GetTModelDetail, UpdateRequest, ValidateCategorization

public abstract class Request
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `generic`
`protected String` | `xmlns`

Constructor Summary
`Request()`

Method Summary
`String` | `getGeneric()` Gets the value of the generic.
`String` | `getXMLns()` Get the value of xmlns
`void` | `setGeneric(String value)` sets the value of the generic.
`void` | `setXMLns(String value)` Sets the value of xmlns

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generic

    protected String generic

### xmlns

    protected String xmlns

Constructor Detail

### Request

    public Request()

Method Detail

### getGeneric

    public String getGeneric()

  Gets the value of the generic.

  Returns:
    Current value of generic.

### getXMLns

    public String getXMLns()

  Get the value of xmlns

  Returns:
    Value of xmlns

### setGeneric

    public void setGeneric(String value)

  sets the value of the generic.

  Parameters:
    `value` - value of the generic.

### setXMLns

    public void setXMLns(String value)

  Sets the value of xmlns

  Parameters:
    `value` - Value of xmlns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD